Bug 141159 - RHEL4 Beta 2 Write permission is denied on automounted fs- USB ext hd or Mem Key
RHEL4 Beta 2 Write permission is denied on automounted fs- USB ext hd or Mem Key
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 13:21 EST by Stuart Hayes
Modified: 2013-03-13 00:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 15:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Hayes 2004-11-29 13:21:24 EST
Description of problem:

(This happens on i686 and x86_64)

Under X Windows, a USB external hard drive is automounted.
The user can not create a directory on the file structure; the error 
message is "Permission denied".

Seeing how that device is automounted in /etc/fstab when X Windows is 
running, we can create an entry for a USB Memory Key and test that 
also.

We get the same problem.  The write permission to create a directory 
generates "Permission denied."

If however we mount the devices to user created directories and do 
not let the devices be automounted, we do not have write permission 
problems. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Tested on PE2800 with RHEL 4 Beta 2 x86_64 and PE700 with RHEL 4 Beta 
2 x86

Be in run level 5 with X Windows running.

1)
Use a USB external hard drive with a partition and ext2 or ext3 file 
system on it.
Connect the USB external hard drive.
Check that it automounts.
Go to the autmounted directory (/media/usbdisk)

mkdir boo

You will get a permission denied message.

If you unmount it and make a mount point then mount it manually, 
creating a directory on the device does not generate a write 
permission denied message, it just works.

2)
Use a USB Memory Key which has an ext2 or ext3 file system on it.
You can insert a USB Memory key, but it does not automount.
You can manually mount it and then make a directory on the device 
without any 'Permission denied" messages.

Next, unmount it and remove it.

Then create an entry for it in /etc/fstab, the next time you insert 
it, it automounts it at /media/usbdisk1.  You will then get a 
permission denied message when trying to do     mkdir boo


  
Actual results:

No write permission for drive.

Expected results:

Disk should be writable.


Additional info:

I'll try to get my hands on the fstab that was used here.
Comment 1 John (J5) Palmieri 2004-11-29 14:18:53 EST
What version of selinux-policy-targeted are you running?

I have uploaded the latest to my peoples page.  Please try this and see if it
resolved your problems.
http://people.redhat.com/johnp/selinux-policy-targeted-1.17.30-2.35.noarch.rpm
Comment 2 Stuart Hayes 2004-11-29 15:02:58 EST
It was running selinux-policy-targeted-1.17.30-2.11.noarch.rpm.

2.35 seems to have fixed the problem.

Will this be included in the release?
Comment 3 John (J5) Palmieri 2004-11-29 15:18:53 EST
Yes, I took that RPM from the current build of RHEL.  Thanks.
Comment 4 Amit Bhutani 2004-12-07 17:06:36 EST
Verified fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.